package com.ruoyi.common.core.domain.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 员工管理对象 staff_manage
 * 
 * @author boman
 * @date 2025-02-18
 */
public class StaffManage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 员工管理id */
    private Long staffId;
    /**
     * 员工账号id
     */
    private Long userId;

    /** 员工姓名 */
    @Excel(name = "员工姓名")
    private String staffName;

    /** 员工性别（1男 2女 ） */
    @Excel(name = "员工性别", readConverterExp = "1=男,2=女")
    private String gender;

    /** 员工类别，1：保安 2:维修人员 3：物业管理 */
    @Excel(name = "员工类别，1：保安 2:维修人员 3：物业管理")
    private String staffCategory;

    /** 维修分类，表示维修人员擅长的维修类别 */
    @Excel(name = "维修分类，表示维修人员擅长的维修类别")
    private String maintenanceCategory;

    /** 手机号码 */
    @Excel(name = "手机号码")
    private String phoneNumber;

    /** 头像，存储头像的URL或文件路径 */
    @Excel(name = "头像，存储头像的URL或文件路径")
    private String avatarPhoto;

    /** 身份证号码 */
    @Excel(name = "身份证号码")
    private String idCard;

    /** 身份证正面 */
    @Excel(name = "身份证正面")
    private String idCardFront;

    /** 身份证反面 */
    @Excel(name = "身份证反面")
    private String idCardBack;

    /** 相关证件 */
    @Excel(name = "相关证件")
    private String certificate;

    /** 状态，字典值 */
    @Excel(name = "状态，字典值")
    private String status;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public void setStaffId(Long staffId)
    {
        this.staffId = staffId;
    }

    public Long getStaffId() 
    {
        return staffId;
    }
    public void setStaffName(String staffName) 
    {
        this.staffName = staffName;
    }

    public String getStaffName() 
    {
        return staffName;
    }
    public void setGender(String gender) 
    {
        this.gender = gender;
    }

    public String getGender() 
    {
        return gender;
    }
    public void setStaffCategory(String staffCategory) 
    {
        this.staffCategory = staffCategory;
    }

    public String getStaffCategory() 
    {
        return staffCategory;
    }
    public void setMaintenanceCategory(String maintenanceCategory) 
    {
        this.maintenanceCategory = maintenanceCategory;
    }

    public String getMaintenanceCategory() 
    {
        return maintenanceCategory;
    }
    public void setPhoneNumber(String phoneNumber) 
    {
        this.phoneNumber = phoneNumber;
    }

    public String getPhoneNumber() 
    {
        return phoneNumber;
    }
    public void setAvatarPhoto(String avatarPhoto) 
    {
        this.avatarPhoto = avatarPhoto;
    }

    public String getAvatarPhoto() 
    {
        return avatarPhoto;
    }
    public void setIdCard(String idCard) 
    {
        this.idCard = idCard;
    }

    public String getIdCard() 
    {
        return idCard;
    }
    public void setIdCardFront(String idCardFront) 
    {
        this.idCardFront = idCardFront;
    }

    public String getIdCardFront() 
    {
        return idCardFront;
    }
    public void setIdCardBack(String idCardBack) 
    {
        this.idCardBack = idCardBack;
    }

    public String getIdCardBack() 
    {
        return idCardBack;
    }
    public void setCertificate(String certificate) 
    {
        this.certificate = certificate;
    }

    public String getCertificate() 
    {
        return certificate;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("staffId", getStaffId())
            .append("staffName", getStaffName())
            .append("gender", getGender())
            .append("staffCategory", getStaffCategory())
            .append("maintenanceCategory", getMaintenanceCategory())
            .append("phoneNumber", getPhoneNumber())
            .append("avatarPhoto", getAvatarPhoto())
            .append("idCard", getIdCard())
            .append("idCardFront", getIdCardFront())
            .append("idCardBack", getIdCardBack())
            .append("certificate", getCertificate())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
